using System.Collections.Generic;
using JetBrains.Annotations;
using UnityEngine;

namespace JohnsonUtils.Utilities
{
    public static class Helpers
    {
        private static readonly Dictionary<float, WaitForSeconds> WaitDictionary = new();

        [PublicAPI]
        public static WaitForSeconds GetWait(float time)
        {
            if (WaitDictionary.TryGetValue(time, out var wait)) return wait;
            WaitDictionary[time] = new WaitForSeconds(time);
            return WaitDictionary[time];
        }
    }
}